Page MenuHomePhabricator

Port efl to meson
Closed, ResolvedPublic

Description

Moving efl to meson,

feature branch : feature/meson

bu5hm4n created this task.Jan 14 2018, 10:55 AM
bu5hm4n triaged this task as High priority.
zmike added a subscriber: zmike.Mar 27 2018, 1:38 PM

I'm redoing some of the evas module stuff to have somewhat better option naming as well as matching the existing default enable states.

Sure! Just push before Friday, I will rebase there again :)

There's a number of places where .so is hardcoded as a shared library/module extension. Is that accurate for all platforms?

Thats what i am fixing right now

And what is partly fixed in the feature branch

bu5hm4n added a project: Restricted Project.Jun 11 2018, 2:45 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:53 AM
bu5hm4n removed a project: Restricted Project.Jun 11 2018, 7:10 AM

A #Goal ticket should not be set to a milestone.

zmike added a comment.Aug 9 2018, 12:43 PM

I propose the following:

  • squash devs/bu5hm4n/meson into a single "implement meson" patch on top of any non-meson patches (e.g., D6795)
  • maintain that branch in a single commit + dependencies
  • other branches are merged into it and squashed, with author attribution added into the commit log as needed

This should provide a more workable system for managing individual patches and determining what is going on in each branch/commit.

We can do that.
Any commit, not related to meson, should land in master before that anyways. Which is the case for D6795.

I would prefer to get the meson work into master as soon as its running on linux, across distributions.

zmike added a comment.Aug 10 2018, 5:42 AM

I agree, though I think it should only be merged once it is complete (i.e., all parts of tree are building and running).

Herald closed subtask T6822: emotion as Invalid.Aug 13 2018, 8:47 AM
Herald changed the status of subtask T6821: handle emotion modules from Resolved to Invalid.Aug 13 2018, 8:47 AM
bu5hm4n closed subtask T7304: avahi enabled by default as Resolved.
bu5hm4n closed subtask T7278: Broken imf in autotools as Resolved.
bu5hm4n closed subtask T6817: evas modules as Resolved.
bu5hm4n closed subtask T7322: CXX as Resolved.Oct 24 2018, 3:54 AM
bu5hm4n closed subtask T6614: Windows build support. as Resolved.
bu5hm4n closed this task as Resolved.Fri, Dec 7, 5:45 AM